commit: 984c0343021a0c83c982c3d730f3277b96464e9b
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 24 19:47:50 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 20:32:28 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=984c0343
dev-python/manuel: add 1.12.4
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/manuel/Manifest | 1 +
dev-python/manuel/manuel-1.12.4.ebuild | 37 ++++++++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/manuel/Manifest b/dev-python/manuel/Manifest
index 49d752317b50..4a94990aabb3 100644
--- a/dev-python/manuel/Manifest
+++ b/dev-python/manuel/Manifest
@@ -1 +1,2 @@
DIST manuel-1.11.2.tar.gz 51846 BLAKE2B
0650c9db757a7e8bd0ba12dcdfda8ff071107d460fab7d24715796e477960ebe41375a10cd83a1c7881c76e6fa1e7cdd5cda383be75adffeea7e1cd6d763df13
SHA512
bbfd3ca58ccb0fb40ecbf54a5be0e73989e93ec026b8c686a7ef4e746c650ffed6f2fc5f119fe58e7c13a4a13cacb8c568384a69b1068413ab6bd6f01664a72f
+DIST manuel-1.12.4.tar.gz 45369 BLAKE2B
e15f9261854fbad8ee1e1dc8645ec286a212c460a78fff1576b6886d8bf462ffe9a5484338fd9efc2bf053a7689e16b08de55f763ae319e66a363c5c28cf2a60
SHA512
cd65307f2ca94e66d88bc0c7c75702d49f505b358ebb812fd20906036ba10f2d1d11d2d69404b88c5f10b584dea05a988b5dc8ba07210b9d20ebd8a11b701633
diff --git a/dev-python/manuel/manuel-1.12.4.ebuild
b/dev-python/manuel/manuel-1.12.4.ebuild
new file mode 100644
index 000000000000..735e15d14dfe
--- /dev/null
+++ b/dev-python/manuel/manuel-1.12.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Lets you mix and match traditional doctests with custom test
syntax"
+HOMEPAGE="
+ https://github.com/benji-york/manuel/
+ https://pypi.org/project/manuel/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests setup.py
+
+src_prepare() {
+ # unused rdep
+ sed -e "/'setuptools'/d" -i setup.py || die
+ distutils-r1_src_prepare
+}